import request from '@/utils/request'

// 查询人员管理列表
export function listStaffManage(query) {
  return request({
    url: '/manage/staffManage/list',
    method: 'get',
    params: query
  })
}

// 查询人员管理详细
export function getStaffManage(staffId) {
  return request({
    url: '/manage/staffManage/' + staffId,
    method: 'get'
  })
}

// 新增人员管理
export function addStaffManage(data) {
  return request({
    url: '/manage/staffManage',
    method: 'post',
    data: data
  })
}

// 修改人员管理
export function updateStaffManage(data) {
  return request({
    url: '/manage/staffManage/put',
    method: 'post',
    data: data
  })
}

export function unploa(data) {
  return request({
    url: '/common/upload',
    headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
    method: 'post',
    data: data
  })
}

// 删除人员管理
export function delStaffManage(staffId) {
  return request({
    url: '/manage/staffManage/delete/' + staffId,
    method: 'get'
  })
}
